%global _hardened_build 1
%{!?_syprefix: %define _syprefix /opt/symas }
%{!?_etcfix: %define _etcfix %{_syprefix}/etc }
%{!?_sylibdir: %define _sylibdir %{_syprefix}/lib }
%{!?_varfix: %define _varfix /var/symas }

Summary:            Symas's libevent build
Name:               symas-libevent
Version:            2.1.12
Release:            2%{?dist}
License:            BSD
Source:             %{name}-%{version}-stable.tar.gz
BuildRequires:		symas-openssl-devel, pkgconfig, autoconf
BuildRequires:		automake, libtool, python3-devel
%if 0%{?suse_version}
BuildRequires:		python3-tools
%endif
Requires:           symas-libevent-libs = %{version}-%{release}
AutoReqProv:        no
URL:                https://libevent.org/

%description
The Symas libevent build

%prep
%setup -n libevent-%{version}-stable
%if 0%{?suse_version}
%{__python3} /usr/share/doc/packages/python3-core/Tools/scripts/pathfix.py -i %{__python3} -pn test/check-dumpevents.py event_rpcgen.py
%else
pathfix.py -i %{__python3} -pn test/check-dumpevents.py event_rpcgen.py
%endif

%build
autoreconf -f -i
export PKG_CONFIG_PATH=%{_sylibdir}/pkgconfig
LDFLAGS="-Wl,-rpath,%{_sylibdir}"; export LDFLAGS; \
CFLAGS="-O2 -g"; export CFLAGS; \
./configure --prefix=%{_syprefix} --disable-static
make

%check
make test

%install
make install DESTDIR=${RPM_BUILD_ROOT}
rm -rf %{buildroot}%{_sylibdir}/*.la
rm -rf %{buildroot}%{_syprefix}/bin/event_rpcgen.py
mkdir -p %{buildroot}%{_syprefix}/share/doc/libevent
install -m 0644 ChangeLog %{buildroot}%{_syprefix}/share/doc/libevent/
install -m 0644 LICENSE %{buildroot}%{_syprefix}/share/doc/libevent/
install -m 0644 README.md %{buildroot}%{_syprefix}/share/doc/libevent/

%package libs
Summary:        libevent Libaries
Requires: symas-openssl-libs
AutoReqProv:        no

%description libs
The symas-libevent-libs package contains the libevent libraries

%package devel
Summary:        libevent Development
Requires: symas-libevent-libs = %{version}-%{release}
AutoReqProv:        no

%description devel
The symas-libevent-devel package contains the linking libraries and include files

%files libs
%defattr(-,root,root)
%{_sylibdir}/*.so.*
%{_syprefix}/share/doc/libevent

%files devel
%defattr(-,root,root)
%{_syprefix}/include
%{_sylibdir}/pkgconfig/*.pc
%{_sylibdir}/*.so

%changelog
* Tue Nov 16 2021 Symas Support <support@symas.com> - 2.1.12-2
- Package ChangeLog, LICENSE, and README.md
* Tue Apr 6 2021 Symas Support <support@symas.com> - 2.1.12-1
- initial packaging
